Skip to main content
GET
/
api
/
entities
curl "https://worker.rushed.com.br/api/entities?type=COMPANY&limit=10" \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
  "success": true,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "entityType": "COMPANY",
      "canonicalName": "Petrobras",
      "aliases": ["Petroleo Brasileiro S.A.", "PETR"],
      "ticker": "PETR4",
      "cnpj": "33.000.167/0001-01",
      "createdAt": "2024-11-15T10:30:00Z"
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "entityType": "COMPANY",
      "canonicalName": "Vale",
      "aliases": ["Vale S.A.", "CVRD"],
      "ticker": "VALE3",
      "cnpj": "33.592.510/0001-54",
      "createdAt": "2024-11-15T10:31:00Z"
    }
  ],
  "pagination": { "limit": 10, "offset": 0, "total": 1250, "hasMore": true }
}

Description

Returns entities extracted by Rushed’s NER (Named Entity Recognition) system. Filter by entity type or stock ticker.

Headers

X-API-Key
string
required
Your Rushed API key

Query Parameters

type
string
Filter by entity type: COMPANY, PERSON, INSTITUTION, TICKER, LOCATION, EVENT, PRODUCT, LAW, MONETARY, METRIC
ticker
string
Filter by stock ticker (e.g., PETR4)
limit
integer
default:"20"
Results per page (1–100)
offset
integer
default:"0"
Number of results to skip

Response

success
boolean
required
data
array
required
curl "https://worker.rushed.com.br/api/entities?type=COMPANY&limit=10" \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
  "success": true,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "entityType": "COMPANY",
      "canonicalName": "Petrobras",
      "aliases": ["Petroleo Brasileiro S.A.", "PETR"],
      "ticker": "PETR4",
      "cnpj": "33.000.167/0001-01",
      "createdAt": "2024-11-15T10:30:00Z"
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "entityType": "COMPANY",
      "canonicalName": "Vale",
      "aliases": ["Vale S.A.", "CVRD"],
      "ticker": "VALE3",
      "cnpj": "33.592.510/0001-54",
      "createdAt": "2024-11-15T10:31:00Z"
    }
  ],
  "pagination": { "limit": 10, "offset": 0, "total": 1250, "hasMore": true }
}